IN-TRANSACTION-P
Prev | Transaction Handling | Next

## Name

IN-TRANSACTION-P — A predicate for testing whether a transaction is currently in progress.Function

## Syntax

          in-transaction-p &key database => result

## Arguments and Values

`database`

  A database object. This will default to the value of *default-database*.

`result`

  A Boolean.

## Description

A predicate to test whether `database`, which defaults to *default-database*, is currently within the scope of a transaction.

## Examples

    (in-transaction-p)
    => NIL
    (start-transaction)
    => NIL
    (in-transaction-p)
    => T
    (commit)
    => NIL
    (in-transaction-p)
    => NIL

## Side Effects

None.

## Affected by

None.

## Exceptional Situations

None.

## See Also

`start-transaction`
`commit`
`rollback`
`set-autocommit`

## Notes

`in-transaction-p` is a CLSQL extension.

Prev | Up | Next
ROLLBACK | Home | ADD-TRANSACTION-COMMIT-HOOK